VIPW(8)

NAMN
vipw, vigr - redigera lösenordet, grupp, skugglösenord eller skuggruppfil

SYNOPSIS

vipw [flaggor]

vigr [flaggor]

BESKRIVNING

The vipw and vigr commands edits the files /etc/passwd and /etc/group, respectively. With the -s flag, they will edit the shadow versions of those files, /etc/shadow and /etc/gshadow, respectively. The programs will set the appropriate locks to prevent file corruption. When looking for an editor, the programs will first try the environment variable $VISUAL, then the environment variable $EDITOR, and finally the default editor, vi(1).

FLAGGOR

The options which apply to the vipw and vigr commands are:

-g, --group
    Redigera gruppdatabasen.

-h, --help
    Visa hjälpmeddelande och avsluta.

-p, --passwd
    Redigera lösenordsdatabasen.

-q, --quiet
    Tyst läge.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --shadow
    Redigera shadow- eller gshadow-databasen.

ENVIRONMENT

VISUAL
    Editor to be used.

EDITOR
    Editor to be used if VISUAL is not set.

FILER

/etc/group
    Gruppkontoinformation.

/etc/gshadow
    Säker gruppkontoinformation.

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

SE OCKSÅ

vi(1), group(5), gshadow(5) , passwd(5), , shadow(5).